curl --request POST \
--url https://api.hubapi.com/payments-subscriptions/v1/subscriptions/crm/{objectId}/pause \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pauseReason": "<string>"
}
'{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Pause an active subscription using the subscription ID.
curl --request POST \
--url https://api.hubapi.com/payments-subscriptions/v1/subscriptions/crm/{objectId}/pause \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pauseReason": "<string>"
}
'{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The error category
A unique identifier for the request. Include this value with any error reports or support tickets
"aeb5f871-7f07-4993-9211-075dc63e7cbf"
A human readable message describing the error along with remediation steps where appropriate
"An error occurred"
Context about the error condition
Show child attributes
"{invalidPropertyName=[propertyValue], missingScopes=[scope1, scope2]}"
further information about the error
Show child attributes
A map of link names to associated URIs containing documentation about the error or recommended remediation steps
Show child attributes
A specific category that contains more specific detail about the error
Was this page helpful?